メインコンテンツへスキップ
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
indexing
インデックス済みのリポジトリを一覧表示する
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "branches": [
        "<string>"
      ],
      "indexing_enabled": true,
      "repository_path": "<string>",
      "indexing_status": {
        "indexing_enabled": true,
        "latest_completed_search_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_completed_wiki_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_indexes": [
          {
            "branch_name": "<string>",
            "commit": "<string>",
            "created_at": 123,
            "job_id": "<string>",
            "status": "failed"
          }
        ]
      }
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

権限

組織レベルで Read 権限を付与されたサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

クエリパラメータ

after
string | null
first
integer
デフォルト:100
必須範囲: 1 <= x <= 200

レスポンス

成功レスポンス

items
RepositoryIndexingResponse · object[]
必須
end_cursor
string | null

次のページを取得するためのカーソル。最後のページの場合は None。

has_next_page
boolean
デフォルト:false

このページの後に、さらに項目が存在するかどうかを示します。

total
integer | null

省略可能な合計件数(パフォーマンス上の理由により、省略される場合があります)。